Package ru.bitel.bgbilling.modules.agr.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.agr.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Transaction extends BGAbstractTransaction
класс-модель транзакции модуля AGR.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Transaction.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Transaction.Builder`
  `builder()`
  `String`
  `getAgrPaymentName()`
  Получение названия платежной системы, через которую реально было проведено пополнение.
  `AGREnvironment`
  `getEnvironment()`
  Получение информации о том, в какой среде был проведен платеж - в тестовой или боевой.
  `void`
  `setAgrPaymentName(String agrPaymentName)`
  Установка названия платежной системы, через которую реально было проведено пополнение.
  `void`
  `setEnvironment(AGREnvironment environment)`
  Установка информации о том, в какой среде был проведен платеж - в тестовой или боевой.

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getAgrPaymentName

    public String getAgrPaymentName()
    Получение названия платежной системы, через которую реально было проведено пополнение.
    Returns:
      название платежной системы

  - ### setAgrPaymentName

    public void setAgrPaymentName(String agrPaymentName)
    Установка названия платежной системы, через которую реально было проведено пополнение.
    Parameters:
      `agrPaymentName` - название платежной системы

  - ### getEnvironment

    public AGREnvironment getEnvironment()
    Получение информации о том, в какой среде был проведен платеж - в тестовой или боевой. Возможные значения: *
    *
    - `AGREnvironment.live` - боевой режим, реальный платеж
    *
    - `AGREnvironment.sandbox` - тестовый режим
    *
    Returns:

  - ### setEnvironment

    public void setEnvironment(AGREnvironment environment)
    Установка информации о том, в какой среде был проведен платеж - в тестовой или боевой. Возможные значения: *
    *
    - `AGREnvironment.live` - боевой режим, реальный платеж
    *
    - `AGREnvironment.sandbox` - тестовый режим
    *
    Parameters:
      `environment` -

  - ### builder

    public static Transaction.Builder builder()